<?xml version="1.0" encoding="utf-8" standalone="yes" ?>
<floater
 legacy_header_height="18"
 height="460"
 layout="topleft"
 name="gesture_preview"
 background_color="FloaterDefaultBackgroundColor"
 width="280">
    <floater.string
     name="step_anim">
        Animation to play:
    </floater.string>
    <floater.string
     name="step_sound">
        Sound to play:
    </floater.string>
    <floater.string
     name="step_chat">
        Chat to say:
    </floater.string>
    <floater.string
     name="step_wait">
        Wait:
    </floater.string>
    <floater.string
     name="stop_txt">
        Stop
    </floater.string>
    <floater.string
     name="preview_txt">
        Preview
    </floater.string>
    <floater.string
     name="none_text">
        -- None --
    </floater.string>
    <floater.string
     name="Title">
        Gesture: [NAME]
    </floater.string>
    <text
     type="string"
     length="1"
     follows="top|left"
     font="SansSerifSmall"
     height="10"
     layout="topleft"
     left="10"
     name="desc_label"
     top_pad="25"
     font.style="BOLD"
     width="105">
        Description:
    </text>
    <line_editor
     follows="left|top"
     height="20"
     layout="topleft"
     left_delta="94"
     name="desc"
     top_delta="-4"
     width="170" />
    <text
     type="string"
     length="1"
     follows="top|left"
     font="SansSerifSmall"
     height="10"
     layout="topleft"
     left="10"
     font.style="BOLD"
     name="trigger_label"
     top_pad="10"
     width="100">
        Trigger:
    </text>
    <line_editor
     follows="left|top"
     height="20"
     layout="topleft"
     left_delta="89"
     max_length_bytes="31"
     name="trigger_editor"
     top_delta="-4"
     width="175" />
    <text
     type="string"
     length="1"
     follows="top|left"
     font="SansSerifSmall"
     height="10"
     layout="topleft"
     left="10"
     font.style="BOLD"
     name="replace_text"
     tool_tip="Replace the trigger word(s) with these words. For example, trigger &apos;hello&apos; replace with &apos;howdy&apos; will turn the chat &apos;I wanted to say hello&apos; into &apos;I wanted to say howdy&apos; as well as playing the gesture!"
     top_pad="10"
     width="215">
        Replace with:
    </text>
    <line_editor
     follows="left|top"
     height="20"
     layout="topleft"
     left_delta="104"
     max_length_bytes="31"
     name="replace_editor"
     tool_tip="Replace the trigger word(s) with these words. For example, trigger &apos;hello&apos; replace with &apos;howdy&apos; will turn the chat &apos;I wanted to say hello&apos; into &apos;I wanted to say howdy&apos; as well as playing the gesture"
     top_delta="-4"
     width="160" />
    <text
     type="string"
     length="1"
     follows="top|left"
     font="SansSerifSmall"
     height="10"
     layout="topleft"
     left="10"
     font.style="BOLD"
     name="key_label"
     top_pad="10"
     width="130">
        Shortcut Key:
    </text>
    <combo_box
     height="20"
     label="None"
     layout="topleft"
     left_delta="135"
     name="modifier_combo"
     top_delta="-4"
     width="55"/>
    <combo_box
     height="20"
     label="None"
     layout="topleft"
     left_pad="4"
     name="key_combo"
     top_delta="0"
     width="50" >
        <combo_box.item
        label="B"
        name="B"
        value="B"/>
        <combo_box.item
        label="C"
        name="C"
        value="C"/>
        <combo_box.item
        label="E"
        name="E"
        value="E"/>
        <combo_box.item
        label="F"
        name="F"
        value="F"/>
        <combo_box.item
        label="G"
        name="G"
        value="G"/>
        <combo_box.item
        label="H"
        name="H"
        value="H"/>
        <combo_box.item
        label="I"
        name="I"
        value="I"/>
        <combo_box.item
        label="J"
        name="J"
        value="J"/>
        <combo_box.item
        label="K"
        name="K"
        value="K"/>
        <combo_box.item
        label="L"
        name="L"
        value="L"/>
        <combo_box.item
        label="M"
        name="M"
        value="M"/>
        <combo_box.item
        label="N"
        name="N"
        value="N"/>
        <combo_box.item
        label="O"
        name="O"
        value="O"/>
        <combo_box.item
        label="P"
        name="P"
        value="P"/>
        <combo_box.item
        label="Q"
        name="Q"
        value="Q"/>
        <combo_box.item
        label="R"
        name="R"
        value="R"/>
        <combo_box.item
        label="T"
        name="T"
        value="T"/>
        <combo_box.item
        label="U"
        name="U"
        value="U"/>
        <combo_box.item
        label="V"
        name="V"
        value="V"/>
        <combo_box.item
        label="X"
        name="X"
        value="X"/>
        <combo_box.item
        label="Y"
        name="Y"
        value="Y"/>
        <combo_box.item
        label="Z"
        name="Z"
        value="Z"/>
        <combo_box.item
        label="1"
        name="1"
        value="1"/>
        <combo_box.item
        label="2"
        name="2"
        value="2"/>
        <combo_box.item
        label="3"
        name="3"
        value="3"/>
        <combo_box.item
        label="4"
        name="4"
        value="4"/>
        <combo_box.item
        label="5"
        name="5"
        value="5"/>
        <combo_box.item
        label="6"
        name="6"
        value="6"/>
        <combo_box.item
        label="7"
        name="7"
        value="7"/>
        <combo_box.item
        label="8"
        name="8"
        value="8"/>
        <combo_box.item
        label="9"
        name="9"
        value="9"/>
        <combo_box.item
        label="0"
        name="0"
        value="0"/>
        <combo_box.item
        label="Space"
        name="Space"
        value="Space"/>
        </combo_box>
    <text
     type="string"
     length="1"
     follows="top|left"
     font="SansSerifSmall"
     height="10"
     layout="topleft"
     left="10"
     font.style="BOLD"
     name="library_label"
     top_delta="25"
     width="100">
        Library:
    </text>
    <scroll_list
     follows="top|left"
     height="60"
     layout="topleft"
     left="10"
     name="library_list"
     top_delta="15"
     width="180">
        <scroll_list.rows
         name="action_animation"
         value="Animation" />
        <scroll_list.rows
         name="action_sound"
         value="Sound" />
        <scroll_list.rows
         name="action_chat"
         value="Chat" />
        <scroll_list.rows
         name="action_wait"
         value="Wait" />
    </scroll_list>
    <button
     follows="top|left"
     height="20"
     label="Add &gt;&gt;"
     layout="topleft"
     left_pad="10"
     name="add_btn"
     top_delta="-1"
     width="70" />
    <text
     type="string"
     length="1"
     follows="top|left"
     font="SansSerifSmall"
     height="10"
     layout="topleft"
     left="10"
     font.style="BOLD"
     name="steps_label"
     top_pad="50"
     width="100">
        Steps:
    </text>
    <scroll_list
     follows="top|left"
     height="85"
     layout="topleft"
     left="10"
     name="step_list"
     top_pad="5"
     width="180" />
    <button
     follows="top|left"
     height="20"
     label="Up"
     layout="topleft"
     left_pad="10"
     name="up_btn"
     top_delta="-1"
     width="70" />
    <button
     follows="top|left"
     height="20"
     label="Down"
     layout="topleft"
     left_delta="0"
     name="down_btn"
     top_pad="10"
     width="70" />
    <button
     follows="top|left"
     height="20"
     label="Remove"
     layout="topleft"
     left_delta="0"
     name="delete_btn"
     top_pad="10"
     width="70" />
    <text
     follows="top|left"
     height="60"
     layout="topleft"
     left="15"
     name="options_text"
     top="315"
     width="205">
	 (options)
	 </text>
    <combo_box
     follows="top|left"
     height="20"
     layout="topleft"
     left_delta="15"
     name="animation_list"
     top="330"
     width="100"/>
    <combo_box
     follows="top|left"
     height="20"
     layout="topleft"
     left_delta="0"
     name="sound_list"
     top="330"
     width="100" />
    <line_editor
     follows="top|left"
     height="20"
     layout="topleft"
     left_delta="0"
     max_length_bytes="127"
     name="chat_editor"
     top="330"
     width="100" />
    <radio_group
     draw_border="false"
     follows="top|left"
     height="40"
     layout="topleft"
     left_pad="8"
     name="animation_trigger_type"
     top="330"
     width="80">
        <radio_item
         height="16"
         label="Start"
         layout="topleft"
         left="3"
         name="start"
         top_delta="45"
         width="80" />
        <radio_item
         height="16"
         label="Stop"
         layout="topleft"
         left_delta="0"
         name="stop"
         top_pad="3"
         width="80" />
    </radio_group>
    <check_box
     follows="top|left"
     height="20"
     label="until animations are done"
     layout="topleft"
     left="28"
     name="wait_anim_check"
     top="330"
     width="100" />
    <check_box
     follows="top|left"
     height="20"
     label="time in seconds:"
     layout="topleft"
     left_delta="0"
     name="wait_time_check"
     top_delta="20"
     width="115" />
    <line_editor
     follows="top|left"
     height="20"
     layout="topleft"
     left_pad="10"
     max_length_bytes="15"
     name="wait_time_editor"
     top_delta="1"
     width="50" />
    <text
     type="string"
     length="1"
     follows="top|left"
     font="SansSerifSmall"
     height="30"
     layout="topleft"
     left="10"
     name="help_label"
     top_pad="20"
     word_wrap="true"
     width="265">
        All steps happen simultaneously, unless you add wait steps.
    </text>
    <check_box
     follows="top|left"
     height="20"
     label="Active"
     layout="topleft"
     left="20"
     name="active_check"
     tool_tip="Active gestures can be triggered by chatting their trigger phrases or pressing their hot keys.  Gestures usually become inactive when there is a key binding conflict."
     top_pad="0"
     width="100" />
    <button
     follows="top|left"
     height="20"
     label="Preview"
     layout="topleft"
     left_delta="75"
     name="preview_btn"
     top_delta="2"
     width="80" />
    <button
     follows="top|left"
     height="20"
     label="Save"
     layout="topleft"
     left_pad="10"
     name="save_btn"
     top_delta="0"
     width="80" />
</floater>
